#!/bin/sh
# Копирование текущего блэклиста в архив и вычищение дупов.
# Блэклист лучше ежедневно перемещать в архив, подключив в MTA 
# как текущий список блокировки, так и архивный.

if [ -f /etc/spam_check/arc_bl.conf ]; then
	. /etc/spam_check/arc_bl.conf
	else
	echo "oops, where is my config?"
fi

rm -f $arc_blocklist_name.new
cat $blocklist_path/$current_blocklist_name.txt $blocklist_path/$arc_blocklist_name.txt |sort -t' ' -k1| uniq --check-chars=15 > $blocklist_path/$arc_blocklist_name.new
mv -f $blocklist_path/$arc_blocklist_name.new $blocklist_path/$arc_blocklist_name.txt

cat /dev/null > $blocklist_path/$current_blocklist_name.txt
$postmap $blocklist_path/$current_blocklist_name.txt
$postmap $blocklist_path/$arc_blocklist_name.txt
mv -f $blocklist_path/$current_blocklist_name.txt.cdb $blocklist_path/$current_blocklist_name.cdb
mv -f $blocklist_path/$arc_blocklist_name.txt.cdb $blocklist_path/$arc_blocklist_name.cdb
